Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.graph
Class JUMasterDetailGraphBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlRangeBinding
oracle.jbo.uicli.graph.JUGraphBinding
oracle.jbo.uicli.graph.JUMasterDetailGraphBinding`

All Implemented Interfaces:
  ControlBinding, oracle.adf.model.ControlBinding, oracle.dss.util.DataSource, GraphConstants, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, RangeBinding, oracle.adf.model.RangeBinding, StructureDef

Direct Known Subclasses:
  JUMasterDetailGraphBinding

public class JUMasterDetailGraphBinding
extends JUGraphBinding
implements oracle.dss.util.DataSource

Data source for the BI Graph bean. This binding should be used for Graphs which require multiple values per marker. High-Low-Close stock chart is one example, which needs three values per marker. The detail table contains series data for the Graph. Each row represents one marker. The number of columns in the detail should match the number of values required for a marker. The detail table represents one 'series' of data in the Graph.

See Also:
  `JUSingleTableGraphBinding`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected BIBeanDataAccessAdapter` | `mAdapter`
`protected java.lang.String` | `mChildAccessorName`
`protected java.util.ArrayList` | `mChildSeries`
`protected java.lang.String[]` | `mDataValueAttrNames`
`protected java.io.InputStream` | `mGraphPropertiesStream`
`protected int` | `mNumberOfColumnValuesPerMarker`
`protected java.lang.String` | `mSeriesLabelAttributeName`

Fields inherited from class oracle.jbo.uicli.graph.JUGraphBinding
`emptyString`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Fields inherited from interface oracle.jbo.uicli.graph.GraphConstants
`BUBBLE_CHART, BUBBLE_CHART_DUAL_AXIS, BUBBLE_CHART_LABELS, BUBBLE_CHART_LABELS_DUAL_AXIS, CANDLE_STOCK_HI_LO_OPEN_CLOSE, CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME, HORIZONTAL_ABSOLUTE_AREA, HORIZONTAL_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_ABSOLUTE_AREA, HORIZONTAL_BI_POLAR_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_CLUSTERED_BARS, HORIZONTAL_BI_POLAR_STACKED_AREA, HORIZONTAL_BI_POLAR_STACKED_BARS, HORIZONTAL_BI_POLAR_STACKED_LINE, HORIZONTAL_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE, HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_LINE, HORIZONTAL_HISTOGRAM, HORIZONTAL_PERCENT_AREA, HORIZONTAL_PERCENT_BARS, HORIZONTAL_PERCENT_LINE, HORIZONTAL_STACKED_AREA, HORIZONTAL_STACKED_BARS, HORIZONTAL_STACKED_LINE, MULTI_PIE, MULTI_PROPORTIONAL_PIE, MULTI_PROPORTIONAL_RING_PIE, MULTI_RING_PIE, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME, PIE, PIE_BAR_CHART, POLAR, POLAR_DUAL_AXIS, RADAR_AREA, RADAR_LINE, RADAR_LINE_DUAL_AXIS, RING_PIE, RING_PIE_BAR_CHART, SPECTRAL_MAP, STOCK_HI_LO, STOCK_HI_LO_BI_POLAR, STOCK_HI_LO_CLOSE, STOCK_HI_LO_CLOSE_DUAL_AXIS, STOCK_HI_LO_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE, STOCK_HI_LO_OPEN_CLOSE_BI_POLAR, STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE_VOLUME, STOCK_HI_LO_VOLUME, THREED_BARS, THREED_FLOATING_CONNECTED_GROUP_AREA, THREED_FLOATING_CONNECTED_GROUP_RIBBON, THREED_FLOATING_CONNECTED_SERIES_AREA, THREED_FLOATING_CONNECTED_SERIES_RIBBON, THREED_FLOATING_CUBES, THREED_FLOATING_PYRAMIDS, THREED_HONEYCOMB_SURFACE, THREED_OCTAGONS, THREED_PYRAMIDS, THREED_SURFACE, THREED_SURFACE_WITH_SIDES, VERTICAL_ABSOLUTE_AREA, VERTICAL_ABSOLUTE_LINE, VERTICAL_BI_POLAR_ABSOLUTE_AREA, VERTICAL_BI_POLAR_ABSOLUTE_LINE, VERTICAL_BI_POLAR_CLUSTERED_BARS, VERTICAL_BI_POLAR_STACKED_AREA, VERTICAL_BI_POLAR_STACKED_BARS, VERTICAL_BI_POLAR_STACKED_LINE, VERTICAL_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_ABSOLUTE_LINE, VERTICAL_DUAL_AXIS_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_STACKED_BARS, VERTICAL_DUAL_AXIS_STACKED_LINE, VERTICAL_HISTOGRAM, VERTICAL_PERCENT_AREA, VERTICAL_PERCENT_BARS, VERTICAL_PERCENT_LINE, VERTICAL_STACKED_AREA, VERTICAL_STACKED_BARS, VERTICAL_STACKED_LINE, XY_SCATTER, XY_SCATTER_DUAL_AXIS, XY_SCATTER_WITH_LABELS, XY_SCATTER_WITH_LABELS_DUAL_AXIS`

Constructor Summary
`JUMasterDetailGraphBinding(oracle.dss.graph.Graph control, DCIteratorBinding seriesBinding, java.lang.String seriesLabelAttributeName, java.lang.String childAccessorName, java.lang.String[] dataValueAttrNames, int numberOfColumnValuesPerMarker)`
`JUMasterDetailGraphBinding(oracle.dss.graph.Graph control, DCIteratorBinding seriesBinding, java.lang.String seriesLabelAttributeName, java.lang.String childAccessorName, java.lang.String[] dataValueAttrNames, int numberOfColumnValuesPerMarker, java.io.InputStream is)`
`JUMasterDetailGraphBinding(oracle.dss.graph.Graph control, DCIteratorBinding seriesBinding, java.lang.String seriesLabelAttributeName, java.lang.String childAccessorName, java.lang.String[] dataValueAttrNames, int numberOfColumnValuesPerMarker, java.lang.String graphPropertiesFileName)`

Method Summary
`void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`oracle.dss.util.CubeDataDirector` | `createCubeDataDirector()`
`protected GraphDataFromCol` | `createGraphDataFromCol(oracle.dss.graph.Graph control, DCIteratorBinding iterBinding, java.lang.String[] dataValueAttrNames, int numberOfColumnValuesPerMarker, java.lang.String seriesLabel)`
`oracle.dss.util.RelationalDataDirector` | `createRelationalDataDirector()`
`protected int` | `getColumnCount()`
`protected java.lang.String` | `getColumnLabel(int i)`
`protected long` | `getRowCount()`
`protected java.lang.String` | `getRowLabel(int i)`
`protected GraphDataFromCol` | `getSeries(int whichSeries)`
`protected java.lang.Object` | `getValue(int row, int col)`
`protected void` | `init(oracle.dss.graph.Graph control, java.io.InputStream is)`
`protected void` | `notifyView()` derived class should override this method and notify the view
`void` | `releaseReferences()`
`void` | `updateRowDeleted(DeleteEvent event)` Notification that a row was deleted in the associated iterator.
`void` | `updateRowInserted(InsertEvent event)` Notification that a new row was inserted in the associated iterator.
`void` | `updateValuesFromRows(Row[] rows, boolean clear)` This method is invoked in the framework to update values displayed in the associated control.

Methods inherited from class oracle.jbo.uicli.graph.JUGraphBinding
`buildAttributeListWithLabel, getNumberOfColumnPerMarker, getValueAt, isControlQueriable, isDirty, refreshBIBeanAdapter, rowIndexToRangeIndex, setValueAt`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlRangeBinding
`createValueBindingRef, getCurrentRowIndex, getEstimatedRowCount, getInputErrorsForRowKey, getInputValueInRow, getRangeSet, getRangeSize, getRangeStart, internalGet, needsEstimatedRowCount, refreshControl, release, setCurrentRowAtIndex, setInputValueInRow, setRangeStart, updateNavigated, updateRangeScrolled, updateValuesFromRow`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputValue, getInputValue, getInputValueHandler, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setNullValueString, stopEditing, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName, toString`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.RangeBinding
`getLabelSet`

Methods inherited from interface oracle.adf.model.ControlBinding
`setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Field Detail

### mAdapter

    protected BIBeanDataAccessAdapter mAdapter

### mChildAccessorName

    protected java.lang.String mChildAccessorName

### mDataValueAttrNames

    protected java.lang.String[] mDataValueAttrNames

### mNumberOfColumnValuesPerMarker

    protected int mNumberOfColumnValuesPerMarker

### mSeriesLabelAttributeName

    protected java.lang.String mSeriesLabelAttributeName

### mChildSeries

    protected java.util.ArrayList mChildSeries

### mGraphPropertiesStream

    protected java.io.InputStream mGraphPropertiesStream

Constructor Detail

### JUMasterDetailGraphBinding

    public JUMasterDetailGraphBinding(oracle.dss.graph.Graph control,
                                      DCIteratorBinding seriesBinding,
                                      java.lang.String seriesLabelAttributeName,
                                      java.lang.String childAccessorName,
                                      java.lang.String[] dataValueAttrNames,
                                      int numberOfColumnValuesPerMarker)

### JUMasterDetailGraphBinding

    public JUMasterDetailGraphBinding(oracle.dss.graph.Graph control,
                                      DCIteratorBinding seriesBinding,
                                      java.lang.String seriesLabelAttributeName,
                                      java.lang.String childAccessorName,
                                      java.lang.String[] dataValueAttrNames,
                                      int numberOfColumnValuesPerMarker,
                                      java.lang.String graphPropertiesFileName)

### JUMasterDetailGraphBinding

    public JUMasterDetailGraphBinding(oracle.dss.graph.Graph control,
                                      DCIteratorBinding seriesBinding,
                                      java.lang.String seriesLabelAttributeName,
                                      java.lang.String childAccessorName,
                                      java.lang.String[] dataValueAttrNames,
                                      int numberOfColumnValuesPerMarker,
                                      java.io.InputStream is)

Method Detail

### init

    protected void init(oracle.dss.graph.Graph control,
                        java.io.InputStream is)

### getSeries

    protected GraphDataFromCol getSeries(int whichSeries)

### getColumnLabel

    protected java.lang.String getColumnLabel(int i)

  Specified by:
    `getColumnLabel` in class `JUGraphBinding`

### getColumnCount

    protected int getColumnCount()

  Specified by:
    `getColumnCount` in class `JUGraphBinding`

### getRowLabel

    protected java.lang.String getRowLabel(int i)

  Specified by:
    `getRowLabel` in class `JUGraphBinding`

### getRowCount

    protected long getRowCount()

  Specified by:
    `getRowCount` in class `JUGraphBinding`

### getValue

    protected java.lang.Object getValue(int row,
                                        int col)

  Specified by:
    `getValue` in class `JUGraphBinding`

### addControlToPanel

    public void addControlToPanel(java.lang.Object panel,
                                  java.lang.Object layoutObject,
                                  java.lang.Object layoutCons)

  Description copied from class: `JUControlBinding`
  *** For internal framework use only ***
  Overrides:
    `addControlToPanel` in class `JUGraphBinding`

### updateRowInserted

    public void updateRowInserted(InsertEvent event)

  Description copied from class: `JUCtrlValueBinding`
  Notification that a new row was inserted in the associated iterator. Control-bindings like JTable refresh their display to show the new row on this event.
  Overrides:
    `updateRowInserted` in class `JUGraphBinding`

### updateRowDeleted

    public void updateRowDeleted(DeleteEvent event)

  Description copied from class: `JUCtrlValueBinding`
  Notification that a row was deleted in the associated iterator. Moves the currency on the associated row iterator to the next row (or previous row if there is no next row) when the currency on the iterator was on the deleted row.
  Overrides:
    `updateRowDeleted` in class `JUGraphBinding`

### updateValuesFromRows

    public void updateValuesFromRows(Row[] rows,
                                     boolean clear)

  Description copied from class: `JUCtrlRangeBinding`
  This method is invoked in the framework to update values displayed in the associated control. This implementation updates all values given in the array of rows irrespective of the clear flag (which indicates whether to clear out the existing displayed values or not).
  Overrides:
    `updateValuesFromRows` in class `JUGraphBinding`

### createGraphDataFromCol

    protected GraphDataFromCol createGraphDataFromCol(oracle.dss.graph.Graph control,
                                                      DCIteratorBinding iterBinding,
                                                      java.lang.String[] dataValueAttrNames,
                                                      int numberOfColumnValuesPerMarker,
                                                      java.lang.String seriesLabel)

### notifyView

    protected void notifyView()

  Description copied from class: `JUGraphBinding`
  derived class should override this method and notify the view
  Specified by:
    `notifyView` in class `JUGraphBinding`

### createRelationalDataDirector

    public oracle.dss.util.RelationalDataDirector createRelationalDataDirector()

  Specified by:
    `createRelationalDataDirector` in interface `oracle.dss.util.DataSource`

### createCubeDataDirector

    public oracle.dss.util.CubeDataDirector createCubeDataDirector()

  Specified by:
    `createCubeDataDirector` in interface `oracle.dss.util.DataSource`

### releaseReferences

    public void releaseReferences()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.